# $Revision: 1.3 $, $Date: 2002/11/02 08:51:59 $
Summary:	Latin2 encoding support for xpdf
Summary(pl):	Wsparcie kodowania Latin2 dla xpdf
Name:		xpdf-latin2
Version:	1.0
Release:	3
License:	GPL
Group:		X11/Applications
Source0:	ftp://ftp.foolabs.com/pub/xpdf/%{name}.tar.gz
Patch0:		%{name}-unicodemap.patch
URL:		http://www.foolabs.com/xpdf/
Requires:	xpdf
Requires(post,preun):	grep
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_prefix		/usr/X11R6

%description
The Xpdf language support packages include CMap files, text encodings,
and various other configuration information necessary or useful for
specific character sets. (They do not include any fonts.) 
This package provides support files needed to use the Xpdf tools with
Latin2 PDF files.

%description -l pl
Pakiety wspierajce jzyki Xpdf zawieraj pliki CMap, kodowania oraz
rne inne informacje konfiguracyjne niezbdne bd przydatne przy
okrelonych zestawach znakw. (Nie zawieraj adnych fontw).
Ten pakiet zawiera pliki potrzebne do uywania narzdzi Xpdf z plikami
PDF o kodowaniu Latin2.

%prep
%setup -q -n %{name}
%patch0 -p0

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_datadir}/xpdf

install *.unicodeMap $RPM_BUILD_ROOT%{_datadir}/xpdf

%clean
rm -rf $RPM_BUILD_ROOT

%post
if [ ! -f /etc/xpdfrc ]; then
	echo 'unicodeMap	Latin2	/usr/X11R6/share/xpdf/Latin2.unicodeMap' >> /etc/xpdfrc
else
 if ! grep -q /usr/X11R6/share/xpdf/Latin2.unicodeMap /etc/xpdfrc; then
	echo 'unicodeMap	Latin2	/usr/X11R6/share/xpdf/Latin2.unicodeMap' >> /etc/xpdfrc
 fi
fi

%preun
grep -v /usr/X11R6/share/xpdf/Latin2.unicodeMap /etc/xpdfrc > /etc/xpdfrc.new
mv -f /etc/xpdfrc.new /etc/xpdfrc

%files
%defattr(644,root,root,755)
%doc README add-to-xpdfrc
%{_datadir}/xpdf/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: xpdf-latin2.spec,v $
Revision 1.3  2002/11/02 08:51:59  gotar
- added xpdf-latin2-unicodemap.patch,
- release 3, STBR.

Revision 1.2  2002/09/09 12:39:38  gotar
- added descriptions,
- release 2.

Revision 1.1  2002/08/18 22:54:30  gotar
- initial release (there are more language packs available)
